package com.tuoheng.admin.enums.code.user;

/**
 *  根据ID查询用户信息返回码
 *      模块代码：10（用户管理）
 *      接口代码：06 （根据ID查询用户信息）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-16
 */
public enum QueryUserInfoByIdCodeEnum {

    QUERY_ID_IS_NULL(1100600, "查询失败"),
    USERNAME_ID_IS_NULL(1100601, "用户名为空"),
    USER_IS_NOT_EXIST(1100602, "用户不存在"),
    USER_ID_IS_NULL(1100603, "用户ID为空"),
    USER_TENANT_ID_NULL(1100604, "当前租户id为空"),
    USER_DEPT_NOT_EXIST(1100605, "当前用户部门为空"),
    NON_TENANT_USER(1100606, "当前用户非本租户用户");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryUserInfoByIdCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
